# Uses of Class
org.apache.commons.math3.ode.ExpandableStatefulODE

Packages that use ExpandableStatefulODE
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of ExpandableStatefulODE in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return ExpandableStatefulODE
Modifier and Type
Method
Description
`protected ExpandableStatefulODE`
AbstractIntegrator.`getExpandable()`
Get the differential equations to integrate.
Methods in org.apache.commons.math3.ode with parameters of type ExpandableStatefulODE
Modifier and Type
Method
Description
`abstract void`
AbstractIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`void`
JacobianMatrices.`registerVariationalEquations(ExpandableStatefulODE expandable)`
Register the variational equations for the Jacobians matrices to the expandable set.
`protected void`
AbstractIntegrator.`sanityChecks(ExpandableStatefulODE equations, double t)`
Check the integration span.
`protected void`
AbstractIntegrator.`setEquations(ExpandableStatefulODE equations)`
Set the equations.

## Uses of ExpandableStatefulODE in org.apache.commons.math3.ode.events

Methods in org.apache.commons.math3.ode.events with parameters of type ExpandableStatefulODE
Modifier and Type
Method
Description
`void`
EventState.`setExpandable(ExpandableStatefulODE expandable)`
Set the equation.

## Uses of ExpandableStatefulODE in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type ExpandableStatefulODE
Modifier and Type
Method
Description
`void`
AdamsBashforthIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`abstract void`
AdamsIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`void`
AdamsMoultonIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`abstract void`
AdaptiveStepsizeIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`void`
EmbeddedRungeKuttaIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`void`
GraggBulirschStoerIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`void`
RungeKuttaIntegrator.`integrate(ExpandableStatefulODE equations, double t)`
Integrate a set of differential equations up to the given time.
`protected void`
AdaptiveStepsizeIntegrator.`sanityChecks(ExpandableStatefulODE equations, double t)`
Check the integration span.